Bug 523363 - initscript collected problems LSB-compilant
Summary: initscript collected problems LSB-compilant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpm
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nikola Pajkovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-15 07:31 UTC by Jan Ščotka
Modified: 2014-02-02 22:13 UTC (History)
3 users (show)

Fixed In Version: 1.20.6-9.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-11 18:19:54 UTC


Attachments (Terms of Use)

Description Jan Ščotka 2009-09-15 07:31:51 UTC
There are some problems with LSB-compilants of initscript against
https://fedoraproject.org/wiki/Packaging/SysVInitScript definition.

I've created some test and there is output of run (PASS menas that it started correctly, FAIL, that, there is some problem:
:: [   LOG    ] :: >>>>>>>>> service start
:: [   PASS   ] ::  Service must start without problem
:: [   PASS   ] ::  Then Status command 
:: [   PASS   ] ::  Already started service 
:: [   PASS   ] ::  Again status command 
:: [   LOG    ] :: >>>>>>>>> service restart
:: [   PASS   ] ::  Restarting of service
:: [   PASS   ] ::  Status command 
:: [   LOG    ] :: >>>>>>>>> service stop
:: [   PASS   ] ::  Stopping service 
:: [   PASS   ] ::  Status of stopped service 
:: [   PASS   ] ::  Stopping service again 
:: [   PASS   ] ::  Status of stopped service 
:: [   LOG    ] :: >>>>>>>>> pid file
:: [   FAIL   ] :: File /var/run/gpm.pid should exist 
:: [   PASS   ] :: Running 'echo 666666 > /var/run/gpm.pid'
:: [   PASS   ] ::  Existing pid file, but service not started 
:: [   LOG    ] :: >>>>>>>>> lock file
:: [   FAIL   ] :: File /var/lock/subsys/gpm should exist 
:: [   PASS   ] :: Running 'touch /var/lock/subsys/gpm'
:: [   PASS   ] ::  Existing lock file, but service not started 
:: [   LOG    ] :: >>>>>>>>> insufficient rights
:: [   PASS   ] ::  Starting service for restarting under nonpriv user 
:: [   FAIL   ] :: Insufficient rights, restarting resrvice under nonprivileged user must fail (Expected 2, got 4)
:: [   LOG    ] :: >>>>>>>>> operations
:: [   PASS   ] ::  Service have to implement start function 
:: [   PASS   ] ::  Service have to implement restart function 
:: [   PASS   ] ::  Service have to implement status function 
:: [   FAIL   ] ::  Service have to implement usage function  (Expected 0, got 2)
:: [   PASS   ] ::  Service have to implement condrestart function 
:: [   FAIL   ] ::  Service have to implement try-restart function  (Expected 0, got 2)
:: [   FAIL   ] ::  Service have to implement reload function  (Expected 0, got 3)
:: [   FAIL   ] ::  Service have to implement force-reload function  (Expected 0, got 3)
:: [   LOG    ] :: >>>>>>>>> nonexist operations
:: [   FAIL   ] ::  Testing proper return code when nonexisting function  (Expected 3, got 2)
:: [   LOG    ] :: >>>>>>>>> invalid arguments
:: [   PASS   ] ::  When no arguments added to service, it must fail with proper return code 

There are some unimplement functions and also doesnt exists pid and lock files and problematic return code when user have insufficient rights

T

Comment 2 Bug Zapper 2009-11-16 12:23:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jan Ščotka 2009-12-10 10:54:59 UTC
now it look more less okay:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test                                                         
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: >>>>>>>>> service start
:: [   PASS   ] ::  Service must start without problem
:: [   PASS   ] ::  Then Status command               
:: [   PASS   ] ::  Already started service           
:: [   PASS   ] ::  Again status command              
:: [   LOG    ] :: >>>>>>>>> service restart          
:: [   PASS   ] ::  Restarting of service             
:: [   PASS   ] ::  Status command                    
:: [   LOG    ] :: >>>>>>>>> service stop             
:: [   PASS   ] ::  Stopping service                  
:: [   PASS   ] ::  Status of stopped service         
:: [   PASS   ] ::  Stopping service again            
:: [   PASS   ] ::  Status of stopped service         
:: [   LOG    ] :: >>>>>>>>> pid file                 
:: [   PASS   ] :: File /var/run/gpm.pid should exist 
:: [   PASS   ] :: Running 'echo 666666 > /var/run/gpm.pid'
:: [   PASS   ] ::  Existing pid file, but service not started
:: [   LOG    ] :: >>>>>>>>> lock file
:: [   PASS   ] :: File /var/lock/subsys/gpm should exist
:: [   PASS   ] :: Running 'touch /var/lock/subsys/gpm'
:: [   PASS   ] ::  Existing lock file, but service not started
:: [   LOG    ] :: >>>>>>>>> insufficient rights
:: [   PASS   ] ::  Starting service for restarting under nonpriv user
:: [   PASS   ] :: Insufficient rights, restarting resrvice under nonprivileged user must fail
:: [   LOG    ] :: >>>>>>>>> operations
:: [   PASS   ] ::  Service have to implement start function
:: [   PASS   ] ::  Service have to implement restart function
:: [   PASS   ] ::  Service have to implement status function
:: [   PASS   ] ::  Service have to implement usage function
:: [   PASS   ] ::  Service have to implement condrestart function
:: [   FAIL   ] ::  Service have to implement try-restart function  (Expected 0,3, got 2)
:: [   PASS   ] ::  Service have to implement reload function
:: [   PASS   ] ::  Service have to implement force-reload function
:: [   LOG    ] :: >>>>>>>>> nonexist operations
:: [   PASS   ] ::  Testing proper return code when nonexisting function
:: [   LOG    ] :: >>>>>>>>> invalid arguments
:: [   PASS   ] ::  When no arguments added to service, it must fail with proper return code
:: [   LOG    ] :: Duration: 10s
:: [   LOG    ] :: Assertions: 27 good, 1 bad
:: [   FAIL   ] :: RESULT: Test

Comment 4 Fedora Update System 2009-12-10 12:33:09 UTC
gpm-1.20.6-9.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gpm-1.20.6-9.fc12

Comment 5 Fedora Update System 2009-12-11 18:19:49 UTC
gpm-1.20.6-9.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.